\name{print.dtrace}
\alias{print.dtrace}
\title{Printing Density Trace Objects}
\description{
This prints kernel density traces.
}
\usage{
\method{print}{dtrace}(x,
    digits = max(4, getOption("digits") - 4),
    \dots)
}
\arguments{
  
  \item{x}{A specification or the data to be used to produce the density
    traces. This can be a numeric vector, a list of numeric vectors or a
    modelling formula which specifies grouping for a  numeric vector.}
  
  \item{digits}{The number of significant digits to appear in the
    printed summary of \code{dt}.}
  
  \item{\dots}{Additional arguments which are passed to the underlying
    \code{\link{print}} function.}
}
\details{
  This function is used to print the objects created by
  \code{\link{dtrace}}.
}
\value{
  The function returns an invisible copy of its first argument.
}
\author{
  Ross Ihaka.
}
\seealso{
  \code{\link{dtrace}},
  \code{\link{summary.dtrace}},
  \code{\link{print.summary.dtrace}}.
}

\examples{
## Simple density estimation.
data(faithful)
d <- print(dtrace(faithful$eruptions, sd = "sj"))
}
\keyword{distribution}
\keyword{smooth}
